EXTCONF:
    realurl:
        _DOMAINS:
            encode:
                - { GETvar: L, value: '0', useConfiguration: default.tld, urlPrepend: 'http://%env(TYPO3_ROUTING_HOSTNAME_DEFAULT)%' }
            decode:
                '%env(TYPO3_ROUTING_HOSTNAME_DEFAULT)%':
                    GETvars: { L: '0' }
                    useConfiguration: default.tld
        default.tld:
            init:
                enableCHashCache: true
                appendMissingSlash: 'ifNotFile'
                adminJumpToBackend: true
                enableUrlDecodeCache: true
                enableUrlEncodeCache: true
                emptyUrlReturnValue: /
                disableErrorLog: true
            pagePath:
                rootpage_id: '1'
                type: user
                userFunc: 'Tx\Realurl\UriGeneratorAndResolver->main'
                spaceCharacter: '-'
                languageGetVar: 'L'
                expireDays: 3
                dontResolveShortcuts: false
            fileName:
                defaultToHTMLsuffixOnPrev: false
            fixedPostVars:
                newsDetailConfiguration:
                    -
                        GETvar: tx_news_pi1[action]
                        valueMap:
                            detail: ~
                        noMatch: bypass
                    -
                        GETvar: tx_news_pi1[controller]
                        valueMap:
                            News: ~
                        noMatch: bypass
                    -
                        GETvar: tx_news_pi1[news]
                        lookUpTable:
                            table: tx_news_domain_model_news
                            id_field: uid
                            alias_field: title
                            useUniqueCache: 1,
                            useUniqueCache_conf:
                                strtolower: 1,
                                spaceCharacter: '-'
                8: newsDetailConfiguration
            postVarSets:
                _DEFAULT:
                    blog:
                        -
                            GETvar: tx_news_pi1[action]
                            noMatch: bypass
                        -
                            GETvar: tx_news_pi1[controller]
                            noMatch: bypass
                        -
                            GETvar: tx_news_pi1[news]
                            lookUpTable:
                                table: tx_news_domain_model_news
                                id_field: uid
                                alias_field: title
                                useUniqueCache: 1,
                                useUniqueCache_conf:
                                    strtolower: 1,
                                    spaceCharacter: '-'
                    page:
                        -
                            GETvar: tx_news_pi1[@widget_0][currentPage]

        '%env(TYPO3_ROUTING_HOSTNAME_DEFAULT)%': 'default.tld'
